#----------------------------------------------------
# PROMAX ELECTRONICA
# Updating file for EN-106A
# 18 March 2013
# Updates Software Control to 1.18.109
# Updates DVB-T Modulator (FPGA) to 95.00.18
#----------------------------------------------------

#----------------------------------------------------
# Update Software control for EN-106A
#----------------------------------------------------

	LOG YES
	SEND *31416

	DISPLAY "Updating software control"

	DISPLAY "Going to BOOT mode"

	SEND *JBP		# jump to BOOT

	CLOSECOM
	WAIT 10		# wait for boot to init usb
	OPENCOM

	ASK *?VER
	ASK *?NAM

	DISPLAY "erasing flash"
	SEND *DEL
	WAIT 5
	DISPLAY "Start loading new software"

	# new firmware file:
	SENDHEX EN106_v1.18.109.hex *HEX	#send new software.

	WAIT 5
	RAWTX *JMP		# jump to main application EN-106

	CLOSECOM
	WAIT 15		# wait for main app to start
	WAIT 10		# wait for main app to start
	OPENCOM

	ASK *?VER
	ASK *?NAM

	# Adjustment for SAA7113 (register 0x09 set to value 0x00)
	SEND *31416
	# reset setting:
	SEND *REGA0012800
	# user setting:
	SEND *REGA0026800

	ASK *?VER
	ASK *?NAM

	DISPLAY "Updating software control finished"


#----------------------------------------------------
# Update FPGA for EN-106A
#----------------------------------------------------
#register version in LOG file
	#SWBAUD 115200
	DISPLAY "Updating modulator"
	SEND *FWU01
	DISPLAY "Erasing flash"
	# XC6SLX25:  6.4 Mbit configuration memory
	# XC6SLX45: 11.9 Mbit configuration memory
	# Serial Flash Spansion FL016: 16 Mbit in 32 sectors
	SEND *ERS00
	SEND *ERS01
	SEND *ERS02
	SEND *ERS03
	SEND *ERS04
	SEND *ERS05
	SEND *ERS06
	SEND *ERS07
	SEND *ERS08
	SEND *ERS09
	SEND *ERS0A
	SEND *ERS0B
	SEND *ERS0C
	SEND *ERS0D
	SEND *ERS0E
	SEND *ERS0F
	SEND *ERS10
	SEND *ERS11
	SEND *ERS12
	SEND *ERS13
	SEND *ERS14
	SEND *ERS15
	SEND *ERS16
	SEND *ERS17
	SEND *ERS18
	SEND *ERS19
	SEND *ERS1A
	SEND *ERS1B
	SEND *ERS1C
	SEND *ERS1D
	SEND *ERS1E
	SEND *ERS1F
	WAIT 5
	DISPLAY "Start loading new firmware"
	SENDHEX EN106_FPGA_v95_0_18.hex *HEX	#send new firmaware.
	#WAITFLUSHING 10	
	WAIT 10
	RAWTX *FWU00
	#WAITFLUSHING 10
	WAIT 10

	DISPLAY "Updating modulator finished"

#----------------------------------------------------
# Update FPGA finished
#----------------------------------------------------

#----------------------------------------------------
# Update finished
#----------------------------------------------------
